Subject: how to restrict git to specific non-root superuser

From: Neal Kreitzinger <[email-masked]>
Date: Fri, 04 May 2012 20:48:20 -0500

I work on systems where 'everyone' has the root password (that problem 
is somewhat out of my hands).  Is there a technique to setup git so that 
only a certain non-root superuser (ie, gittech) is allowed to run git 
commands?  I don't want people logged in as root to mess up the git repos.

I'm considering using git for deployment and some anonymous root user 
messing it up would be a very, very, bad thing.  Maybe this proposition 
is theoretically impossible.  Maybe someone has implemented this concept 
in practice.

v/r,
neal